elm::entry Struct Reference

Public Member Functions
elm::entry Struct Reference

Class entry. More...

## Public Member Functions
| entry (Eo *eo)
| Eo Constructor. More...
| entry (std::nullptr_t)
| nullptr_t Constructor. More...
| entry (entry const &other)
| Copy Constructor.
void | item_provider_prepend (Elm_Entry_Item_Provider_Cb func_, void *data_) const
void | text_style_user_push (::efl::eina::string_view style_) const
void | item_provider_remove (Elm_Entry_Item_Provider_Cb func_, void *data_) const
void | entry_insert (::efl::eina::string_view entry_) const
void | input_panel_imdata_set (const void *data_, int len_) const
void | input_panel_imdata_get (void *data_, int *len_) const
void | markup_filter_remove (Elm_Entry_Filter_Cb func_, void *data_) const
void | item_provider_append (Elm_Entry_Item_Provider_Cb func_, void *data_) const
void | markup_filter_append (Elm_Entry_Filter_Cb func_, void *data_) const
void | entry_append (::efl::eina::string_view str_) const
void | context_menu_item_add (::efl::eina::optional< ::efl::eina::string_view > label_, ::efl::eina::optional< ::efl::eina::string_view > icon_file_, Elm_Icon_Type icon_type_, Evas_Smart_Cb func_, const void *data_) const
void | markup_filter_prepend (Elm_Entry_Filter_Cb func_, void *data_) const
| entry (::efl::eo::parent_type _p)
| Constructs a new elm::entry object. More...

## Detailed Description

Class entry.

## Constructor & Destructor Documentation

## ◆ entry() [1/3]

elm::entry::entry | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::entry object.

Constructs a new elm::entry object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::entry my_entry(efl::eo::parent = parent_object);

See also
  entry(Eo* eo)

## ◆ entry() [2/3]

elm::entry::entry | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ entry() [3/3]

elm::entry::entry | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ context_menu_item_add()

void elm::entry::context_menu_item_add | ( | ::efl::eina::optional< ::efl::eina::string_view > | label_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | icon_file_,
|  | Elm_Icon_Type | icon_type_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  label |
  icon_file |
  icon_type |
  func |
  data |

## ◆ entry_append()

void elm::entry::entry_append | ( | ::efl::eina::string_view | str_ | ) | const

Parameters

  str |

## ◆ entry_insert()

void elm::entry::entry_insert | ( | ::efl::eina::string_view | entry_ | ) | const

Parameters

  entry |

## ◆ input_panel_imdata_get()

void elm::entry::input_panel_imdata_get | ( | void * | data_,
|  | int * | len_
| ) |  | const

Parameters

  [out] | data |
  [out] | len |

## ◆ input_panel_imdata_set()

void elm::entry::input_panel_imdata_set | ( | const void * | data_,
|  | int | len_
| ) |  | const

Parameters

  data |
  len |

## ◆ item_provider_append()

void elm::entry::item_provider_append | ( | Elm_Entry_Item_Provider_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

## ◆ item_provider_prepend()

void elm::entry::item_provider_prepend | ( | Elm_Entry_Item_Provider_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

## ◆ item_provider_remove()

void elm::entry::item_provider_remove | ( | Elm_Entry_Item_Provider_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

## ◆ markup_filter_append()

void elm::entry::markup_filter_append | ( | Elm_Entry_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

## ◆ markup_filter_prepend()

void elm::entry::markup_filter_prepend | ( | Elm_Entry_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

## ◆ markup_filter_remove()

void elm::entry::markup_filter_remove | ( | Elm_Entry_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  func |
  data |

## ◆ text_style_user_push()

void elm::entry::text_style_user_push | ( | ::efl::eina::string_view | style_ | ) | const

Parameters

  style |